GET /api/v202105/vendor/{vendorId}/udf/{udfId}/download

Downloads the file stored in a vendor's file-type custom field

DownloadVendorCustomFieldFileV202105 Permissions: VendorsAndRatesModule (View)
Use this endpoint to download a file that was uploaded to a file-type UDF on a vendor. Returns the file content as a download.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
vendorId Unique numeric identifier of the vendor integer (int32) Required
udfId Unique numeric identifier of the file-type UDF field integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.
404 Not Found The requested resource was not found. Verify the ID or path is correct.